Skip to main content
PATCH
/
custom-field-values
/
{uuid}
Update a custom field value
curl --request PATCH \
  --url https://api.journeybee.io/v1/custom-field-values/{uuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": {
    "text": "<string>",
    "number": 123,
    "date": "<string>",
    "boolean": true,
    "select": 123,
    "multi_select": [
      123
    ]
  }
}
'
{
  "uuid": "<string>",
  "custom_field_uuid": "<string>",
  "custom_field_label": "<string>",
  "value": {
    "text": "<string>",
    "number": 123,
    "date": "<string>",
    "boolean": true,
    "select": 123,
    "multi_select": [
      123
    ]
  },
  "entity_uuid": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Path Parameters

uuid
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
value
object
required

Value object — set the key matching the field type (text, number, date, boolean, select, multi_select)

Response

200 - application/json

Default Response

uuid
string
required
custom_field_uuid
string
required
custom_field_label
string
required
custom_field_type
enum<string>
required
Available options:
text,
textarea,
number,
date,
boolean,
select,
multi_select
value
object
required

Custom field value. Set the key matching the field type: text (text/url/email/phone), number, date, boolean (checkbox), select (option ID), or multi_select (array of option IDs).

entity_type
enum<string>
required
Available options:
partner,
lead,
lead_deal
entity_uuid
string
required
created_at
string
required
updated_at
string
required